/*
 Theme Name:   Daily Budget App 2025
 Theme URI:    https://creativentities.com/
 Description:  Daily Budget App 2024 Theme
 Author:       3hartanto
 Author URI:   https://creativentities.com/author/3hartanto/
 Template:     twentytwentyfive
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         one-column, accessibility-ready, custom-colors, custom-menu, custom-logo, editor-style, featured-images, footer-widgets, block-patterns, rtl-language-support, sticky-post, threaded-comments, translation-ready
 Text Domain:  dba2025
*/

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea,
select,
.site textarea,
.site select {
    width: 100%;
}

fieldset select,
fieldset textarea {
    margin-top: 0 !important;
    margin-right: 0 !important;
    margin-bottom: var(--global--spacing-unit) !important;
    margin-left: 0 !important;
}

.entry-title,
/* .daily-budget-form legend, */
.daily-budget-form>h1,
.daily-budget-form>h2,
.daily-budget-form>h3,
.daily-budget-form>h4,
.daily-budget-form>h5,
.daily-budget-form>h6 {
    text-align: center;
}

.wp-block-separator.is-style-full-width {
    width: auto !important;
}

/* .daily-budget-transaction-btn {
    min-width: 150px;
    min-height: 150px;
    font-size: 2em !important;
    line-height: 2em !important;
    font-weight: bold !important;
} */

/* .daily-budget-transaction-btn span::before {
    content: "\a";
    white-space: pre;
} */

.daily-budget-transaction-btn span {
    font-size: 0.5em;
    line-height: 1em;
    font-weight: normal;
    display: block;
}

.spaced {
    margin-bottom: var(--global--spacing-unit);
}

.field-desc {
    color: var(--wp--preset--color--accent-4);
}

.repeater-item {
    margin-bottom: auto;
}

/* The Modal */

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    left: 0;
    top: 0;
    /* Hot fixes */
    max-width: none !important;
}

.modal-background {
    display: flex;
    padding: 50px;
    /* Location of the box */
    /*overflow: auto;*/
    /* Enable scroll if needed */
    /*background-color: rgb(0, 0, 0);*/
    /* Fallback color */
    /*background-color: rgba(0, 0, 0, 0.6);*/
    /* Black w/ opacity */
    /* width: 100%; */
    /* Full width */
    height: calc(100% - 100px);
    /* Full height - the height of admin bar */
}

.modal-content {
    margin: auto;
    padding: 20px;
    border-width: 2px;
    border-style: groove;
    border-color: var(--wp--preset--color--contrast);
    background-color: var(--wp--preset--color--base);
    width: 70%;
    max-width: 100%;
    max-height: calc(100% - 40px);
    overflow: auto;

    -webkit-box-shadow: 0px 24px 38px 3px rgb(0 0 0 / 14%),
        0px 9px 46px 8px rgb(0 0 0 / 12%), 0px 11px 15px -7px rgb(0 0 0 / 20%);
    box-shadow: 0px 24px 38px 3px rgb(0 0 0 / 14%),
        0px 9px 46px 8px rgb(0 0 0 / 12%), 0px 11px 15px -7px rgb(0 0 0 / 20%);

    /* alternative shadow style
    box-shadow: 1.9px 1.9px 2.2px rgba(0, 0, 0, 0.028),
        4.7px 4.7px 5.3px rgba(0, 0, 0, 0.04),
        8.8px 8.8px 10px rgba(0, 0, 0, 0.05),
        15.6px 15.6px 17.9px rgba(0, 0, 0, 0.06),
        29.2px 29.2px 33.4px rgba(0, 0, 0, 0.072),
        70px 70px 80px rgba(0, 0, 0, 0.1);
    */
}

@media only screen and (min-width: 1100px) {}

@media only screen and (min-width: 952px) and (max-width: 1100px) {
    .modal-content {
        width: 80%;
    }
}

@media only screen and (min-width: 782px) and (max-width: 952px) {
    .modal-content {
        width: 90%;
    }
}

@media only screen and (min-width: 600px) and (max-width: 782px) {
    .modal-content {
        width: 100%;
    }
}

@media only screen and (max-width: 600px) {
    .modal-background {
        padding: 10px;
    }

    .modal-content {
        width: 100%;
    }
}

/* The Close Button */
.modal-close-btn {
    float: right;
    font-weight: bold;
    font-size: 1.5em;
    padding: 0 10px;
}

.modal-close-btn:hover,
.modal-close-btn:focus {
    text-decoration: none;
    cursor: pointer;
}

/* Animations */

.no-overflow {
    overflow: hidden;
}

/* wp-block patches */

:root :where(.is-layout-constrained)>* {
    margin-block-start: 1.2rem;
    margin-block-end: 0;
}

.wp-block-buttons {
    display: flex;
    gap: 0.5em;
    flex-wrap: wrap;
    align-items: center;
    margin-block-start: 1em;
    margin-block-end: 1em;
}

fieldset .wp-block-buttons {
    margin-block-start: 0;
    margin-block-end: 0;
}

.wp-block-button.is-style-outline .wp-block-button__link {
    background: transparent none;
    border-color: currentColor;
    border-width: 1px;
    border-style: solid;
    color: currentColor;
    padding-top: 1rem;
    padding-right: 1.6rem;
    padding-bottom: 1rem;
    padding-left: 1.6rem;
}

.wp-block-button.is-style-outline .wp-block-button__link.wp-block-button__link:not(.has-background):hover {
    background-color:
        color-mix(in srgb, var(--wp--preset--color--contrast) 5%, transparent);
}

.wp-block-buttons.is-content-justification-center {
    justify-content: center;
}

.wp-block-buttons.is-content-justification-right {
    justify-content: flex-end;
}

.wp-block-buttons.is-content-justification-space-between {
    justify-content: space-between;
}

.wp-block-columns {
    column-gap: 0.5em;
}

.wp-block-table table {
    width: 100%;
}

.wp-block-table table td {
    border-bottom-width: 1px;
    border-bottom-style: dotted;
    border-bottom-color: var(--wp--preset--color--contrast);
}